<template>
  <a-card :bordered="false">
    <a-tabs @change="handleChangeTab" :tab-bar-style="{marginTop: '-20px', paddingLeft: '0px'}">
      <a-tab-pane tab="全部潜客" key="1">
        <PotentialListTabs :key="timer1" :tabPara = "1" />
      </a-tab-pane>

      <a-tab-pane tab="我的潜客" key="2">
        <PotentialListTabs :key="timer2" :tabPara = "2"/>
      </a-tab-pane>

      <a-tab-pane tab="公池" key="3">
        <PotentialListTabPublic :key="timer3" :tabPara = "3"/>
      </a-tab-pane>
    </a-tabs>
  </a-card>
</template>

<script>
  import PotentialListTabs from './modules/PotentialListTabs.vue'
  import PotentialListTabPublic from './modules/PotentialListTabPublic.vue'
  export default {
    name: 'CustomerPotentialList',
    components: { PotentialListTabs,PotentialListTabPublic },
    data() {
      return {
        showCustomerLogs: 0,
        timer1: '',
        timer2: '',
        timer3: ''
      }
    },
    methods: {
      handleChangeTab(key) {
        if (key == 1) {
          this.timer1 = new Date().getTime();
        } else if (key == 2) {
          this.timer2 = new Date().getTime();
        }if (key == 3) {
          this.timer3 = new Date().getTime();
        }
      }
    }
  }
</script>

<style scoped>

</style>